ExternalFlags Struct Reference

Flags signalled by the external interface at frame level. More...

`#include <encoder.h>`

## Data Fields

int | ref_frame_flags
ExtRefreshFrameFlagsInfo | refresh_frame
bool | refresh_frame_context
bool | refresh_frame_context_pending
bool | use_ref_frame_mvs
bool | use_error_resilient
bool | use_s_frame
bool | use_primary_ref_none

## Detailed Description

Flags signalled by the external interface at frame level.

## Field Documentation

## ref_frame_flags

int ExternalFlags::ref_frame_flags

Bit mask to disable certain reference frame types.

Referenced by av1_encode_strategy(), and av1_set_rtc_reference_structure_one_layer().

## refresh_frame

ExtRefreshFrameFlagsInfo ExternalFlags::refresh_frame

Frame refresh flags set by the external interface.

Referenced by av1_encode_strategy(), and av1_set_rtc_reference_structure_one_layer().

## refresh_frame_context

bool ExternalFlags::refresh_frame_context

Flag to enable the update of frame contexts at the end of a frame decode.

## refresh_frame_context_pending

bool ExternalFlags::refresh_frame_context_pending

Flag to indicate that update of refresh_frame_context from external interface is pending.

## use_ref_frame_mvs

bool ExternalFlags::use_ref_frame_mvs

Flag to enable temporal MV prediction.

## use_error_resilient

bool ExternalFlags::use_error_resilient

Indicates whether the current frame is to be coded as error resilient.

## use_s_frame

bool ExternalFlags::use_s_frame

Indicates whether the current frame is to be coded as s-frame.

## use_primary_ref_none

bool ExternalFlags::use_primary_ref_none

Indicates whether the current frame's primary_ref_frame is set to PRIMARY_REF_NONE.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h